Name:           power-profiles-daemon
Version:        0.23
Release:        %mkrel 1
Summary:        Makes power profiles handling available over D-Bus
Group:          System/Configuration
License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/power-profiles-daemon
Source0:        https://gitlab.freedesktop.org/hadess/power-profiles-daemon/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  meson
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(umockdev-1.0)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  systemd
BuildRequires:  umockdev
BuildRequires:  python3dist(python-dbusmock)
BuildRequires:  python3dist(argparse-manpage)
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(shtab)

Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
power-profiles-daemon offers to modify system behaviour based
upon user-selected power profiles. There are 3 different power
profiles, a "balanced" default mode, a "power-saver" mode, as
well as a "performance" mode. The first 2 of those are available
on every system. The "performance" mode is only available on select
systems and is implemented by different "drivers" based on the
system or systems it targets.
In addition to those 2 or 3 modes (depending on the system),
"actions" can be hooked up to change the behaviour of a particular
device. For example, this can be used to disable the fast-charging
for some USB devices when in power-saver mode.
GNOME's Settings and shell both include interfaces to select the
current mode, but they are also expected to adjust the behaviour
of the desktop depending on the mode, such as turning the screen
off after inaction more aggressively when in power-saver mode.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
This package contains the documentation for %{name}.

%prep
%autosetup

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_localstatedir}/lib/power-profiles-daemon

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%license COPYING
%doc README.md
%{_bindir}/powerprofilesctl
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_datadir}/dbus-1/system.d/net.hadess.PowerProfiles.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.UPower.PowerProfiles.conf
%{_datadir}/dbus-1/system-services/net.hadess.PowerProfiles.service
%{_datadir}/dbus-1/system-services/org.freedesktop.UPower.PowerProfiles.service
%{_datadir}/polkit-1/actions/power-profiles-daemon.policy
%{_localstatedir}/lib/power-profiles-daemon
%{_datadir}/bash-completion/completions/powerprofilesctl
%{_mandir}/man1/powerprofilesctl.1*


%files docs
%{_datadir}/gtk-doc/html/%{name}/


%changelog
* Fri Sep 13 2024 daviddavid <daviddavid> 0.23-1.mga10
+ Revision: 2095698
- new version: 0.23

* Sat Sep 07 2024 daviddavid <daviddavid> 0.22-1.mga10
+ Revision: 2093459
- new version: 0.22

* Tue Apr 09 2024 daviddavid <daviddavid> 0.21-1.mga10
+ Revision: 2056143
- new version: 0.21

* Sun Feb 18 2024 daviddavid <daviddavid> 0.20-1.mga10
+ Revision: 2042279
- new version: 0.20

* Sat May 13 2023 daviddavid <daviddavid> 0.13-1.mga9
+ Revision: 1956714
- new version: 0.13

* Wed Feb 08 2023 daviddavid <daviddavid> 0.12-1.mga9
+ Revision: 1939407
- initial package power-profiles-daemon (mga#31511)

